# gcp::FragmentResidue Class Reference

`#include <gcp/fragment-residue.h>`

Inheritance diagram for gcp::FragmentResidue:

List of all members.

## Public Member Functions

| FragmentResidue ()
| FragmentResidue (Fragment *fragment, char const *symbol)
virtual | ~FragmentResidue ()
xmlNodePtr | Save (xmlDocPtr xml) const
bool | Load (xmlNodePtr node)
void | SetResidue (Residue const *res)
const gchar * | GetSymbol () const
Residue const * | GetResidue (void)
std::string | GetAbbrev (void)

## Detailed Description

Represents a residue inside a atoms group (see gcp::Fragment class).

Definition at line 38 of file fragment-residue.h.

## Constructor & Destructor Documentation

gcp::FragmentResidue::FragmentResidue | ( |  | ) |

The default constructor.

gcp::FragmentResidue::FragmentResidue | ( | Fragment * | fragment,
|  | char const * | symbol |
| ) |  |  |

Parameters:

  | fragment | the fragment containing the residue symbol.
  | symbol | the residue symbol.

Constructs a FragmentResidue as a child of fragment.

virtual gcp::FragmentResidue::~FragmentResidue | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

xmlNodePtr gcp::FragmentResidue::Save | ( | xmlDocPtr | xml | ) | const`[virtual]`

Parameters:

  | xml | the xmlDoc used to save the document.

Builds an XML node representing this instance.

Returns:
  the new XML node or NULL on error.

Reimplemented from gcp::FragmentAtom.

bool gcp::FragmentResidue::Load | ( | xmlNodePtr | node | ) | `[virtual]`

Parameters:

  | node | an XML node.

Loads the symbol and associated resdue from node.

Returns:
  true on success, false otherwise.

Reimplemented from gcp::FragmentAtom.

void gcp::FragmentResidue::SetResidue | ( | Residue const * | res | ) |

Parameters:

  | res | the residue correspondig to the symbol.

Sets the associated residue.

const gchar* gcp::FragmentResidue::GetSymbol | ( |  | ) | const`[virtual]`

Returns:
  the symbol of this Residue.

Reimplemented from gcu::Atom.

gcp::FragmentResidue::GetResidue | ( | void |  | ) | `[inline]`

Returns:
  the associated residue.

Definition at line 85 of file fragment-residue.h.

gcp::FragmentResidue::GetAbbrev | ( | void |  | ) | `[inline]`

Returns:
  the used symbol for the residue.

Definition at line 89 of file fragment-residue.h.

The documentation for this class was generated from the following file:

- fragment-residue.h